# vkCmdSetCheckpointNV(3) Manual Page

## Name

vkCmdSetCheckpointNV - insert diagnostic checkpoint in command stream

## C Specification

Device diagnostic checkpoints are inserted into the command stream by calling vkCmdSetCheckpointNV.

    void vkCmdSetCheckpointNV(
        VkCommandBuffer                             commandBuffer,
        const void*                                 pCheckpointMarker);

## Parameters

- `commandBuffer` is the command buffer that will receive the marker

- `pCheckpointMarker` is an opaque application-provided value that will be associated with the checkpoint.

## Description

Valid Usage (Implicit)

- `commandBuffer` must be a valid VkCommandBuffer handle

- `commandBuffer` must be in the recording state

- The `VkCommandPool` that `commandBuffer` was allocated from must support graphics, compute, or transfer operations

Host Synchronization

- Host access to the `VkCommandPool` that `commandBuffer` was allocated from must be externally synchronized

Command Properties

Command Buffer Levels | Render Pass Scope | Supported Queue Types | Pipeline Type
--- | --- | --- | ---
Primary Secondary | Both | Graphics Compute Transfer |

## See Also

VkCommandBuffer

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright (c) 2014-2020 Khronos Group. This work is licensed under a Creative Commons Attribution 4.0 International License.